# ************************************************************************
# Epson Latin America
# 
# Esta aplicacion (EpsonReportUtiliy.exe) esta compilada utilizando
# Microsoft .NET 4.0
#
# Consecuentemente para linux, necesitamos utilizar mono 3.0
#
# Por favor verificar si su sitema operativo es compatible con mono 3.0
#
# Ejemplo probado en:
#                      - Ubuntu 14.04.01 LTS
#
#
# Este ejemplo, de instalacion, fue creado Ruben Pantaleon Miranda (rpm+)
#
# para la inmortalidad del programador, especialista en multiplataformidad
#
# ************************************************************************


# Copiar la SO (biblioteca dinamica) segun plataforma
if [ `getconf LONG_BIT` = "64" ]
then
    echo ...
	echo ... 64 BITS
    sudo cp ./libEpsonFiscalInterface.so.64  /usr/lib/libEpsonFiscalInterface.so
else
    echo ...
	echo ... 32 BITS
    sudo cp ./libEpsonFiscalInterface.so.32  /usr/lib/libEpsonFiscalInterface.so 
fi

# generar permiso para utilizar el puerto USB para comunicarse con la Impresora Fiscal
sudo adduser $USER lp

# generar permiso para utilizar el puerto SERIE para comunicarse con la Impresora Fiscal
sudo adduser $USER dialout  

# actualizar paquetes
sudo apt-get update

# openSSL se encuentra instalado por defecto, en linux. (por las dudas lo instalamos)
sudo apt-get install openssl

# instalar mono runtime 
sudo apt-get install mono-complete  -y --force-yes

# Mensaje al usario, para que reinice el loggin
echo -e '\e[1;34m*********************************************'
echo -e '\e[1;34m***                                       ***'
echo -e '\e[1;34m***    !!! REINICIE SU COMPUTADORA !!!    ***'
echo -e '\e[1;34m***                                       ***'
echo -e '\e[1;34m***                                       ***'
echo -e '\e[1;34m*** PARA EJECUTAR LA APLICACION TIPEE:    ***'
echo -e '\e[1;34m***                                       ***'
echo -e '\e[1;34m***                                       ***'
echo -e '\e[1;34m***     mono ./EpsonReportUtility.exe     ***'
echo -e '\e[1;34m***                                       ***'
echo -e '\e[1;34m*********************************************'
echo -e ' '
echo -e ' '


# Ejecutar aplicacion de EpsonReportUtility
# mono ./EpsonReportUtility.exe
